# Class UnsupportedAddressTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.nio.channels.UnsupportedAddressTypeException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedAddressTypeException extends IllegalArgumentException
Unchecked exception thrown when an attempt is made to bind or connect to a socket address of a type that is not supported.

Since:
  1.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedAddressTypeException()`
Constructs an instance of this class.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedAddressTypeException

public UnsupportedAddressTypeException()
Constructs an instance of this class.